body{
    margin: 0;
    padding: 0;
    background: #262626;
}
a{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 150px;
    height: 50px;
    background: #fff;
    text-align: center;
    line-height: 50px;
    color: #262626;
    font-size: 24px;
    letter-spacing: 4px;
    text-transform: uppercase;
    font-family: sans-serif;
    text-decoration: none;
    padding-left: 4px;
    transition: .5s;
}
a:hover{
    color: #fff;
    background: #1565c0;
    letter-spacing: 6px;
}
a:before{
    content: '';
    position: absolute;
    top: 0;
    left: -25px;
    width: 0px;
    height: 0px;
    background: transparent;
    border: 25px solid transparent;
    border-right: 25px solid #fff;
    border-left: none;
    box-sizing: border-box;
    transition:.5s;
    transform-origin: right;
    transform: rotateY(90deg);
}
a:hover:before{
    border-right: 25px solid #1565c0;
    transform: rotateY(0deg);
}
a:after{
    content: '';
    position: absolute;
    top: 0;
    right: -25px;
    width: 0;
    height: 0;
    background: transparent;
    border: 25px solid transparent;
    border-left: 25px solid #fff;
    border-right: none;
    transition:.5s;
    transform-origin: left;
    transform: rotateY(90deg);
}
a:hover:after{
    border-left: 25px solid #1565c0;
    transform: rotateY(0deg);
}
